## org.apache.myfaces.config.impl.digester.elements
Class MapEntries.Entry

    java.lang.Object
      org.apache.myfaces.config.impl.digester.elements.MapEntries.Entry

All Implemented Interfaces:
  MapEntry

Enclosing class:
  MapEntries

public static class MapEntries.Entry
extends java.lang.Object
implements MapEntry

Constructor Summary
`MapEntries.Entry()`

Method Summary
`java.lang.String` `getKey()`
`java.lang.String` `getValue()`
`boolean` `isNullValue()`
`void` `setKey(java.lang.String key)`
`void` `setNullValue()`
`void` `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapEntries.Entry

    public MapEntries.Entry()

Method Detail

### getKey

    public java.lang.String getKey()

  Specified by:
    `getKey` in interface `MapEntry`

### setKey

    public void setKey(java.lang.String key)

### isNullValue

    public boolean isNullValue()

  Specified by:
    `isNullValue` in interface `MapEntry`

### setNullValue

    public void setNullValue()

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `MapEntry`

### setValue

    public void setValue(java.lang.String value)